Package com.privatejgoodies.forms.layout

# Class ConstantSize.Unit

java.lang.Object
com.privatejgoodies.forms.layout.ConstantSize.Unit

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConstantSize`

public static final class ConstantSize.Unit extends Object implements Serializable
An ordinal-based serializable typesafe enumeration for units as used in instances of `ConstantSize`.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`abbreviation()`
Returns the first character of this Unit's name.
`String`
`encode()`
Returns a parseable string representation of this unit.
`String`
`toString()`
Returns a string representation of this unit object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()
Returns a string representation of this unit object. Note: This implementation may change at any time. It is intended for debugging purposes. For parsing, use `encode()` instead.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the constant size

### encode

public String encode()
Returns a parseable string representation of this unit.

Returns:
  a String that can be parsed by the Forms parser
Since:
  1.2

### abbreviation

public String abbreviation()
Returns the first character of this Unit's name. Used to identify it in short format strings.

Returns:
  the first character of this Unit's name.